Groovy 1.7.10

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyRootDocBuilder

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

    public class GroovyRootDocBuilder
    extends Object

Constructor Summary
`GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List links, Properties properties)`

Method Summary
`void` | `buildTree(List filenames)`
`Map` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`
`GroovyRootDoc` | `getRootDoc()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyRootDocBuilder

    public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List links, Properties properties)

Method Detail

### buildTree

    public void buildTree(List filenames)

### getClassDocsFromSingleSource

    public Map getClassDocsFromSingleSource(String packagePath, String file, String src)

### getRootDoc

    public GroovyRootDoc getRootDoc()

Copyright © 2003-2010 The Codehaus. All rights reserved.